import { NestFactory } from '@nestjs/core'

import { AppModule } from './app.module'

async function bootstrap() {
  const app = await NestFactory.create(AppModule)
  app.enableCors({
    origin: '*'
  })
  app.setGlobalPrefix('webserver')
  await app.listen(3000, '0.0.0.0')
}
bootstrap()
