import { Controller, Post, Body, Header, HttpCode } from '@nestjs/common'

import { BailianService } from './bailian.service'

@Controller('bailian')
export class BailianController {
  constructor(private readonly bailianService: BailianService) {}

  @Post('chat')
  @Header('Access-Control-Allow-Origin', '*')
  @Header('Content-type', 'application/json')
  @HttpCode(200)
  async chat(@Body() { chat }) {
    const data = await this.bailianService.chat(chat)
    return data
  }
}
